Bug 35024 - [RDC] New Component - Color Picker
Summary: [RDC] New Component - Color Picker
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: RDC Taglib (show other bugs)
Version: unspecified
Hardware: Other other
: P5 enhancement (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-23 18:17 UTC by Mitch Warner
Modified: 2006-01-09 08:04 UTC (History)
0 users



Attachments
Zip file containing file diffs (8.22 KB, application/x-zip-compressed)
2005-05-23 18:18 UTC, Mitch Warner
Details
Updated zip after testing against 5/23/05 sources (8.41 KB, patch)
2005-05-24 06:14 UTC, Rahul
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mitch Warner 2005-05-23 18:17:28 UTC
I have created a color picker RDC that I would like to submit to the Jakarta
Taglib project. This is a very simple component which I created whilst learning
how to produce my own RDCs; however it may be found useful by the wider community.

The Zip file containing the file diffs is attached to this report.

0) Description

Component that allows a color to be specified by a user. 

1) List of new files ( -> and descriptions)

/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/color.tag	-> Tag
implementation for the component.
/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/color.rdc	-> rdc
configuration and parameter data.
/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/config/color.xml	->
configuration data for the component
/jakarta-taglibs-sandbox/rdc/src/org/apache/taglibs/rdc/Color.java	-> private
data model for the component
/jakarta-taglibs-sandbox/rdc/src/.grammar/color.grxml	-> SRGF grammar for use
with the component, containing all allowable colors.
/jakarta-taglibs-sandbox/rdc/examples/web/color-test.jsp		-> Example file for
testing the component

2) List of modified files

/jakarta-taglibs-sandbox/rdc/xml/rdc.xml	->	Included description of the new
component.
Comment 1 Mitch Warner 2005-05-23 18:18:50 UTC
Created attachment 15134 [details]
Zip file containing file diffs
Comment 2 Rahul 2005-05-24 06:14:11 UTC
Created attachment 15138 [details]
Updated zip after testing against 5/23/05 sources

Tested new RDC on sandbox source from 5/23. Attached new zip wherein new files
appear as-is and mods to existing files appear as diffs.
Comment 3 Rahul Akolkar 2005-08-10 20:14:32 UTC
Thanks Mitch, I've applied the patch with minor modifications. You may test it 
out from the nightlies (please give it a day to be picked up) and close this 
bugzilla ticket. If I do not hear from you in a couple of weeks, I will close 
this ticket.
Comment 4 Rahul Akolkar 2006-01-09 17:04:36 UTC
Minor changes to summary, closing bug report. Thanks again Mitch.